/* $Id: ApmMeter.h,v 1.2 1999/11/06 17:10:56 leonard Exp $ */
/* (c) 1999, David Leonard */
#ifndef _ApmMeter_h_
#define _ApmMeter_h_

/*
 An APM power meter widget

 Class:		apmMeterWidgetClass
 Class Name:	ApmMeter
 Superclass:	Scrollbar

 Resources added by the ApmMeter widget:

 Name			Class			RepType		Default Value
 ----			-----			-------		-------------
 chargingForeground	ChargingForeground	Pixel		Green
 chargingBackground	ChargingBackground	Pixel		White
 highForeground		HighForeground		Pixel		Black
 highBackground		HighBackground		Pixel		White
 lowForeground		LowForeground		Pixel		Red
 lowBackground		LowBackground		Pixel		White
 dangerousForeground	DangerousForeground	Pixel		Red
 dangerousBackground	DangerousBackground	Pixel		Yellow
 criticalForeground	CriticalForeground	Pixel		Red
 criticalBackground	CriticalBackground	Pixel		Yellow
 highLevel		HighLevel		Float		0.50
 lowLevel		LowLevel		Float		0.20
 dangerousLevel		DangerousLevel		Float		0.10
 update			Update			Dimension	1000
 */

#define XtNchargingForeground	"chargingForeground"
#define XtNchargingBackground	"chargingBackground"
#define XtNhighForeground	"highForeground"
#define XtNhighBackground	"highBackground"
#define XtNlowForeground	"lowForeground"
#define XtNlowBackground	"lowBackground"
#define XtNdangerousForeground	"dangerousForeground"
#define XtNdangerousBackground	"dangerousBackground"
#define XtNcriticalForeground	"criticalForeground"
#define XtNcriticalBackground	"criticalBackground"
#define XtNhighLevel		"highLevel"
#define XtNlowLevel		"lowLevel"
#define XtNdangerousLevel	"dangerousLevel"

#define XtCChargingForeground	"ChargingForeground"
#define XtCChargingBackground	"ChargingBackground"
#define XtCHighForeground	"HighForeground"
#define XtCHighBackground	"HighBackground"
#define XtCLowForeground	"LowForeground"
#define XtCLowBackground	"LowBackground"
#define XtCDangerousForeground	"DangerousForeground"
#define XtCDangerousBackground	"DangerousBackground"
#define XtCCriticalForeground	"CriticalForeground"
#define XtCCriticalBackground	"CriticalBackground"
#define XtCHighLevel		"HighLevel"
#define XtCLowLevel		"LowLevel"
#define XtCDangerousLevel	"DangerousLevel"
#define XtCUpdate		"Update"

extern WidgetClass apmMeterWidgetClass;
typedef struct _ApmMeterRec *ApmMeterWidget;

#endif /* _ApmMeter_h_ */
